<!DOCTYPE html>

<html lang="en">

    <head>
        <meta charset="UTF-8">
        <link rel="icon"
              type="image/jpg"
              href="images/smileFavicon.png">
        <title>Firstname's Portfolio</title>
        <link rel="stylesheet" href="css/index.css">
        <script src="js/index.js"></script>
    </head>

    <body>
        
        <header>
            <h1>Firstname Middlename Lastname</h1>
           
            <script>
                window.alert("Trial! Welcome to JavaScript!")
                var firstPrompt = window.prompt("Your name?")
                document.write("Trial again. Welcome to JavaScript! What you typed was: ")
                if (firstPrompt == "") {
                    document.write("Nothing");
                } else {
                    document.write(firstPrompt);
                }
                // document.getElementById("experience").innerHTML = "Trial again and again."
                console.log("Do you see this JS message?!")
                document.write("<br>")
                var date = Date()
                document.write("The time now is: " + date)
                document.write("<br>")
                var loc = window.location
                document.write("The location of this HTML file is: " + loc)
                console.log(loc)
                console.log(window.closed)
                function changeOnClick(msg) {
                    document.getElementById("paraOne").innerHTML = "You see? This paragraph has changed! And your name is " + msg;
                }
                function disappearOnClick() {
                    document.getElementById("paraTwo").style.visibility= "hidden";
                }
            </script>

            <figure class="header">
                <img src="images/myImg.jpg" 
                     alt="Firstname Middlename Lastname's image"
                     width="150">
                <figcaption>Firstname Middlename Lastname as of 20xy</figcaption>
            </figure>
            
            <section class="header">
                <h2>Background as Introduction</h2>
                <p>I am a self-taught blockchain developer. I also run businesses and do research on science. To see the JavaScript code that I have tried on this webpage, click the buttons below!</p>
                <button onclick="changeOnClick(firstPrompt)">Click this to change the content of Paragraph One.</button>
                <br><br>
                <button onclick="disappearOnClick()">Click this to make Paragraph Two disappear.</button>
                <p id="paraOne">Paragraph One: See what happens if the first button is clicked.</p>
                <p id="paraTwo">Paragraph Two: See what happens if the second button is clicked.</p>
            </section>
            
            <nav>
                <a href="#projects">Projects</a>
                <a href="#languages">Languages</a>
                <a href="#skills">Skills</a>
                <a href="#experience">Experience</a>
                <a href="#goals">Goals</a>
            </nav>
        </header>

        <main>
            <hr>
            <section id="projects">
                <h3>Projects on GitLab</h3>
                <ul>
                    <li><a href="https://gitlab.com">HTML</a></li>
                    <li><a href="https://gitlab.com">CSS</a></li>
                </ul> 
            </section>

            <section id="languages">
                <h3>Languages Spoken</h3>
                <ul>
                    <li>Native: English</li>
                    <li>Business Level: Japanese 日本語</li>
                </ul>
            </section>
            
            <section id="skills">
                <h3>Other Skills</h3>
                <ul>
                    <li>Technology: clouds, Linux</li>
                    <li>Business: ecommerce</li>
                    <li>Teaching: YouTuber</li>
                    <li>Investment: stocks, cryptocurrencies, NFTs</li>
                    <li>Publications: "<em>Token</em>"</li>
                    <li>Reading: management, finance</li>
                    <li>Science: physics</li>
                    <li>Sports: jogging</li>
                </ul>
            </section>

            <section id="goals">
                <h3>Unfinished Goals</h3>
                <details><summary>Quantum Field Theory</summary>In progress... <progress value=".1"></progress><br></details><br>
                <br><details><summary>Spanish (Espanol)</summary>In progress... <progress value=".1"></progress><br></details><br>
                <br><details><summary>Korean (ㅎㅏㄴ ㄱㅜㄱ ㅇㅓ)</summary>In progress... <progress value=".2"></progress><br></details>
            </section>

            <section id="experience">
                <h3>Working Experience</h3>
                <table>
                    <tr><th>Period</th><th>Companies</th><th>Title</th><th>Achievements</th></tr>
                    <tr><td><time datetime="2008-01-01">2008-2009</time></td><td>GHI Company</td><td>Principal Consultant</td><td>Revenue of HKD 500,000</td></tr>
                    <tr><td><time datetime="2007-01-01">2007-2008</time></td><td>DEF Company</td><td>Senior Consultant</td><td>Revenue of HKD 200,000</td></tr>
                    <tr><td><time datetime="2006-01-01">2006-2007</time></td><td>ABC Company</td><td>Consultant</td><td>Revenue of HKD 100,000</td></tr>
                </table>
            </section>
            
            <section id="playground">
                <h3>Playground for JavaScript</h3>
                <div class="galaxyDiv" id="galaxyDiv">This is the image where you mouse is now on; its alt text is shown as well.</div>
                <br>
                <img src="images/galaxy1.jpeg" alt="Galaxy One" class="galaxyPhotos" onmouseover="showGalaxyAndAlt(this)" onmouseleave="unshowGalaxyAndAlt()">
                <img src="images/galaxy2.jpeg" alt="Galaxy Two" class="galaxyPhotos" onmouseover="showGalaxyAndAlt(this)" onmouseleave="unshowGalaxyAndAlt()">
                <img src="images/galaxy3.jpeg" alt="Galaxy Three" class="galaxyPhotos" onmouseover="showGalaxyAndAlt(this)" onmouseleave="unshowGalaxyAndAlt()">
            </section>

            <section id="countries">
                <h3>Playground for JavaScript 2</h3>
                <button id="countriesButton" onclick="addCountries()">Press me to add a country you like.</button>
                <p id="countriesList"></p>
            </section>

            <section id="form">
                <h3>Contact Form</h3>
                <form>
                    <!--Name Input-->
                    <label for="firstname">First Name: </label>
                    <input type="text" id="firstname" name="firstname" placeholder="Aaron" required><br>
                    <label for="middlename">Middle Name: </label>
                    <input type="text" id="middlename" name="middlename" placeholder="K."><br>
                    <label for="familyname">Family Name: </label>
                    <input type="text" id="familyname" name="familyname" placeholder="Obama"><br>
                    <label for="withNickname">Nickname? </label>
                    <input id="withNickname" name="withNickname" type="checkbox" value="yes" onchange="nicknameInput()"><br>
                    <div id="nickname" style="display:none">
                        <label for="nicknameField">Nickname: </label>
                        <input type="text" name="nickname" id="nicknameField"><br>
                    </div>
                    <!--Contact Info-->
                    <label>Email: <input type="email" id="email1" name="email1" placeholder="abc@me.com required"></label><br>
                    <label>Confirm Email: <input type="email" id="email2" name="email2" placeholder="Must be the same as above." required onchange="checkEmail()"></label><br>
                    <label>Personal Website: <input type="url" id="personalWebsite" name="personalWebsite" placeholder="https://www.linkedin.com/in/akobama"></label><br>
                    <!--Basic Info-->
                    <label for="birth">Birth: <input type="date" id="birth" name="birth"></label><br>
                        <!--Gender-->
                    <p>Gender:</p>
                    <input type="radio" id="male" name="gender" value="Male"><label for="male">Male</label><br>
                    <input type="radio" id="female" name="gender" value="Female"><label for="female">Female</label><br>
                        <!--Languages-->
                    <p>Language(s) Spoken:</p>
                    <label for="english"><input type="checkbox" id="english" name="languages">English</label><br>
                    <label for="chinese"><input type="checkbox" id="chinese" name="languages">Chinese</label><br>
                    <label for="japanese"><input type="checkbox" id="japanese" name="languages">Japanese</label><br>
                    <label for="swedish"><input type="checkbox" id="swedish" name="languages">Swedish</label><br>
                    <label for="others"><input type="checkbox" id="others" name="languages">Others</label><br>
                    <!--Personal Info-->
                    <label>Life Progress: <input type="range" id="lifeProgress" name="lifeProgress"></label><br>
                    <label>Favourite Colour: <input type="color" id="favouriteColour" name="favouriteColour"></label><br>
                    <label>Favourite Number: <input type="number" id="favouriteNumber" name="favouriteNumber"></label><br>
                    <input type="submit" value="Please click here to submit." onclick="return checkEmail();">
                </form>
            </section>

        </main>

        <footer>
            <hr>
            &copy; 20xx by Firstname Middlename Lastname <br>
            <div><a href="https://gitlab.com" aria-label="My GitLab Profile">
                <img src="images/gitlabIcon.png" alt="My GitLab Profile" width="30"><br>My GitLab Profile</a>
            </div>
            <div>
            <a href="https://linkedin.com" aria-label="My LinkedIn Profile">
                <img src="images/linkedinIcon.png" alt="My LinkedIn Profile" width="30"><br>My LinkedIn Profile</a>
            </div>
        </footer>

    </body>

</html>